/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { SlideToggleControl } from './slide-toggle-control';
import * as i0 from "@angular/core";
export declare class AswSlideToggleDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswSlideToggleDialog>;
    data: any;
    constants: any;
    aswEditSlideToggleForm: FormGroup;
    status: boolean;
    icons: any;
    control: SlideToggleControl;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswSlideToggleDialog>, data: any);
    ngOnInit(): void;
    validateFormBuilder(): void;
    editProperty(control: SlideToggleControl): void;
    onNoClick(): void;
    onSubmit(): void;
    onStatusChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswSlideToggleDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswSlideToggleDialog, "asw-slide-toggle-dialog", never, {}, {}, never, never, false, never>;
}
